package com.hwrj.cloud.admin.model;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

public class UmsCompanyShare implements Serializable {
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "供应商id")
    private Long compId;

    @ApiModelProperty(value = "供应商名称")
    private String compName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "状态0创建，1已使用，2已删除")
    private Integer status;

    @ApiModelProperty(value = "使用人id")
    private Long memberId;

    @ApiModelProperty(value = "最新的修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "分享码")
    private String shareCode;

    @ApiModelProperty(value = "创建分享人id")
    private Long createId;

    @ApiModelProperty(value = "创建用户名")
    private String createName;

    @ApiModelProperty(value = "使用者用户名")
    private String member;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCompId() {
        return compId;
    }

    public void setCompId(Long compId) {
        this.compId = compId;
    }

    public String getCompName() {
        return compName;
    }

    public void setCompName(String compName) {
        this.compName = compName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getShareCode() {
        return shareCode;
    }

    public void setShareCode(String shareCode) {
        this.shareCode = shareCode;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getMember() {
        return member;
    }

    public void setMember(String member) {
        this.member = member;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", compId=").append(compId);
        sb.append(", compName=").append(compName);
        sb.append(", createTime=").append(createTime);
        sb.append(", status=").append(status);
        sb.append(", memberId=").append(memberId);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", shareCode=").append(shareCode);
        sb.append(", createId=").append(createId);
        sb.append(", createName=").append(createName);
        sb.append(", member=").append(member);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}